PartFlexiblePrintedCircuitDesign Class

class NXOpen.Preferences.PartFlexiblePrintedCircuitDesign

Bases: object

Represents the Flexible Printed Circuit Design preferences applicable to part

Preferences are in control of the part. They can not be created but can only be changed.

New in version NX4.0.0.

Methods

Method Description
Commit Commits and applies all the settings done with set_callout_type_display and set_object_type_display.
GetBendRadius Returns the bend radius expression
GetBendReliefDepth Returns the bend relief depth
GetBendReliefWidth Returns the bend relief width
GetDeviationalToleranceInFlatSolid Returns the deviational tolerance during Flat Solid simplification
GetFlatPatternAllCalloutTypeDisplay Returns the dialog names, identifiers, and enabled status for all the available callout types.
GetFlatPatternAllObjectTypeDisplay Returns the types, colors, fonts, widths, and enabled status for all the the available object types.
GetFlatPatternCalloutOrientationType Returns the orientation type for flat pattern callouts.
GetFlatPatternCalloutTypeContents Returns the contents for a callout type.
GetFlatPatternCalloutTypeDisplay Returns the display data for a callout type.
GetFlatPatternObjectTypeDisplay Returns the display data for a flat pattern object type.
GetFlexibleCableBottomFaceColor Returns the bottom face color.
GetFlexibleCableConductorSpacing Returns the conductor spacing expression.
GetFlexibleCableConductorWidth Returns the conductor width expression.
GetFlexibleCableContactFace Returns the contact face.
GetFlexibleCableStrippingLength Returns the stripping length expression.
GetFlexibleCableTopFaceColor Returns the top face color.
GetHoleTreatmentDiameter RETURNS the hole treatment diameter value in Flat Pattern operation
GetHoleTreatmentType RETURNS the hole treatment type in Flat Pattern operation
GetInnerCornerTreatmentType Returns the inner corner treatment type in Flat as Solid operation
GetInnerCornerTreatmentValue Returns the inner corner treatment value for Flat as Solid operations
GetIsBsplineSimplifiedInFlatSolid Returns the flag indicating whether B-Splines are simplified as part of the Flat Solid creation
GetIsSystemGeneratedBendReliefRemovedInFlatSolid Returns the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation
GetMaterial Returns the material name saved with the part
GetMaterialNames Returns the material names defined in the material standards table
GetMaterialProperties Returns the material name saved with the part
GetMinimumArcToleranceInFlatSolid Returns the minimum arc tolerance during Flat Solid simplification
GetNeutralFactor Returns the neutral factor
GetOuterCornerTreatmentType Returns the outer corner treatment type in Flat as Solid operation
GetOuterCornerTreatmentValue Returns the out corner treatment value for Flat as Solid operations
GetPlanarSegmentCurveTypeDisplayData Returns the display data of a given planar segment curve type for the Flexible Printed Circuit Design application.
GetThickness Returns the thickness expression
SetBendRadius Sets the bend radius value
SetBendReliefDepth Sets the bend relief depth value
SetBendReliefWidth Sets the bend relief depth value
SetDeviationalToleranceInFlatSolid Sets the deviational tolerance during Flat Solid simplification
SetFlatPatternCalloutOrientationType Sets the orientation type for flat pattern callouts.
SetFlatPatternCalloutTypeContents Sets the contents for a callout type.
SetFlatPatternCalloutTypeDisplay Sets the display data for a callout type.
SetFlatPatternObjectTypeDisplay Sets the display data for a flat pattern object type.
SetFlexibleCableBottomFaceColor Sets the bottom face color.
SetFlexibleCableConductorSpacing Sets the conductor spacing value string.
SetFlexibleCableConductorWidth Sets the conductor width value string.
SetFlexibleCableContactFace Sets the contact face.
SetFlexibleCableStrippingLength Sets the stripping length value string.
SetFlexibleCableTopFaceColor Sets the top face color.
SetHoleTreatmentDiameter SETS the hole treatment diameter value in Flat Pattern operation
SetHoleTreatmentType SETS the hole treatment type in Flat Pattern operation
SetInnerCornerTreatmentType Sets the inner corner treatment type in Flat as Solid operation
SetInnerCornerTreatmentValue Sets the the inner corner treatment value for Flat as Solid operations
SetIsBsplineSimplifiedInFlatSolid Sets the flag indicating whether or not B-Splines are simplified as part of the Flat Solid creation
SetIsSystemGeneratedBendReliefRemovedInFlatSolid Sets the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation
SetMaterial Sets the material standard
SetMinimumArcToleranceInFlatSolid Sets the minimum arc tolerance during Flat Solid simplification
SetNeutralFactor Sets the bend relief depth value
SetOuterCornerTreatmentType Sets the the outer corner treatment type in Flat as Solid operation
SetOuterCornerTreatmentValue Sets the outer corner treatment value for Flat as Solid operations
SetPlanarSegmentCurveTypeDisplayData Sets the display data of a given planar segment curve type for the Flexible Printed Circuit Design application.
SetThickness Sets the thickness value string

Enumerations

PartFlexiblePrintedCircuitDesignFlatPatternCalloutOrientationType Enumeration This enum represents orientation types for the flat pattern callouts
PartFlexiblePrintedCircuitDesignFlatPatternObjectType Enumeration The members of the following enumerated type are used to identify object types to the FlatPattern API.
PartFlexiblePrintedCircuitDesignFlexibleCableContactFaceOptions Enumeration This enum represents the face that is the contact face of the Flexible Cable.
PartFlexiblePrintedCircuitDesignPlanarSegmentCurveType Enumeration The following members are used to identify curve types of planar segment feature.

Structs

PartFlexiblePrintedCircuitDesignFlatPatternCalloutTypeDisplay_Struct Struct The members of the following structure are the display data for a callout in a flat pattern drawing member view.
PartFlexiblePrintedCircuitDesignFlatPatternObjectTypeDisplay_Struct Struct The members of the following structure are the display data for an object in a flat pattern drawing member view.
PartFlexiblePrintedCircuitDesignPlanarSegmentCurveTypeDisplayData_Struct Struct The members of the following structure are the display data.

Method Detail

Commit

PartFlexiblePrintedCircuitDesign.Commit

Commits and applies all the settings done with set_callout_type_display and set_object_type_display.

It must be called after a sequence of calls to those methods to cause the view to update.

Signature Commit()

New in version NX5.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetBendRadius

PartFlexiblePrintedCircuitDesign.GetBendRadius

Returns the bend radius expression

Signature GetBendRadius()

Returns:expression object for radius of bend faces
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetBendReliefDepth

PartFlexiblePrintedCircuitDesign.GetBendReliefDepth

Returns the bend relief depth

Signature GetBendReliefDepth()

Returns:expression object for depth of bend relief
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetBendReliefWidth

PartFlexiblePrintedCircuitDesign.GetBendReliefWidth

Returns the bend relief width

Signature GetBendReliefWidth()

Returns:expression object for width of bend relief
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetDeviationalToleranceInFlatSolid

PartFlexiblePrintedCircuitDesign.GetDeviationalToleranceInFlatSolid

Returns the deviational tolerance during Flat Solid simplification

Signature GetDeviationalToleranceInFlatSolid()

Returns:flag
Return type:float

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetFlatPatternAllCalloutTypeDisplay

PartFlexiblePrintedCircuitDesign.GetFlatPatternAllCalloutTypeDisplay

Returns the dialog names, identifiers, and enabled status for all the available callout types.

Signature GetFlatPatternAllCalloutTypeDisplay()

Returns:Array of structures with the callout type display data.
Return type:list of NXOpen.Preferences.PartFlexiblePrintedCircuitDesignFlatPatternCalloutTypeDisplay_Struct

New in version NX5.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetFlatPatternAllObjectTypeDisplay

PartFlexiblePrintedCircuitDesign.GetFlatPatternAllObjectTypeDisplay

Returns the types, colors, fonts, widths, and enabled status for all the the available object types.

Signature GetFlatPatternAllObjectTypeDisplay()

Returns:Array of structures with the object type display data.
Return type:list of NXOpen.Preferences.PartFlexiblePrintedCircuitDesignFlatPatternObjectTypeDisplay_Struct

New in version NX5.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetFlatPatternCalloutOrientationType

PartFlexiblePrintedCircuitDesign.GetFlatPatternCalloutOrientationType

Returns the orientation type for flat pattern callouts.

Signature GetFlatPatternCalloutOrientationType()

Returns:The orientation type for the flat pattern callouts.
Return type:NXOpen.Preferences.PartFlexiblePrintedCircuitDesignFlatPatternCalloutOrientationType

New in version NX9.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetFlatPatternCalloutTypeContents

PartFlexiblePrintedCircuitDesign.GetFlatPatternCalloutTypeContents

Returns the contents for a callout type.

Signature GetFlatPatternCalloutTypeContents(calloutType)

Parameters:calloutType (str) – The name of the callout type for which to get the content.
Returns:The contents for the callout type.
Return type:list of str

New in version NX9.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetFlatPatternCalloutTypeDisplay

PartFlexiblePrintedCircuitDesign.GetFlatPatternCalloutTypeDisplay

Returns the display data for a callout type.

The name member of the NXOpen.Preferences.PartFlexiblePrintedCircuitDesignFlatPatternCalloutTypeDisplay_Struct is separately allocated from the callout_type argument string. In some cases the new string will contain an extended form of the callout_type passed in, and that form should be used for subsequent JA calls, without modification.

Signature GetFlatPatternCalloutTypeDisplay(calloutType)

Parameters:calloutType (str) – The name of the callout type for which to get the display data.
Returns:The display data for the callout type.
Return type:NXOpen.Preferences.PartFlexiblePrintedCircuitDesignFlatPatternCalloutTypeDisplay_Struct

New in version NX5.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetFlatPatternObjectTypeDisplay

PartFlexiblePrintedCircuitDesign.GetFlatPatternObjectTypeDisplay

Returns the display data for a flat pattern object type.

Signature GetFlatPatternObjectTypeDisplay(objectType)

Parameters:objectType (NXOpen.Preferences.PartFlexiblePrintedCircuitDesignFlatPatternObjectType) – The object type for which to return the display data.
Returns:The display data for the flat pattern object type.
Return type:NXOpen.Preferences.PartFlexiblePrintedCircuitDesignFlatPatternObjectTypeDisplay_Struct

New in version NX5.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetFlexibleCableBottomFaceColor

PartFlexiblePrintedCircuitDesign.GetFlexibleCableBottomFaceColor

Returns the bottom face color.

Signature GetFlexibleCableBottomFaceColor()

Returns:
Return type:Id

New in version NX7.5.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetFlexibleCableConductorSpacing

PartFlexiblePrintedCircuitDesign.GetFlexibleCableConductorSpacing

Returns the conductor spacing expression.

Signature GetFlexibleCableConductorSpacing()

Returns:expression object for flexible cable conductor width.
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetFlexibleCableConductorWidth

PartFlexiblePrintedCircuitDesign.GetFlexibleCableConductorWidth

Returns the conductor width expression.

Signature GetFlexibleCableConductorWidth()

Returns:expression object for flexible cable conductor width.
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetFlexibleCableContactFace

PartFlexiblePrintedCircuitDesign.GetFlexibleCableContactFace

Returns the contact face.

Signature GetFlexibleCableContactFace()

Returns:
Return type:NXOpen.Preferences.PartFlexiblePrintedCircuitDesignFlexibleCableContactFaceOptions

New in version NX7.5.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetFlexibleCableStrippingLength

PartFlexiblePrintedCircuitDesign.GetFlexibleCableStrippingLength

Returns the stripping length expression.

Signature GetFlexibleCableStrippingLength()

Returns:expression object for flexible cable conductor width.
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetFlexibleCableTopFaceColor

PartFlexiblePrintedCircuitDesign.GetFlexibleCableTopFaceColor

Returns the top face color.

Signature GetFlexibleCableTopFaceColor()

Returns:
Return type:Id

New in version NX7.5.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetHoleTreatmentDiameter

PartFlexiblePrintedCircuitDesign.GetHoleTreatmentDiameter

RETURNS the hole treatment diameter value in Flat Pattern operation

Signature GetHoleTreatmentDiameter()

Returns:expression object for hole diameter value
Return type:NXOpen.Expression

New in version NX12.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetHoleTreatmentType

PartFlexiblePrintedCircuitDesign.GetHoleTreatmentType

RETURNS the hole treatment type in Flat Pattern operation

Signature GetHoleTreatmentType()

Returns:hole treatment type
Return type:NXOpen.Features.SheetMetal.FeatureProperty

New in version NX12.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetInnerCornerTreatmentType

PartFlexiblePrintedCircuitDesign.GetInnerCornerTreatmentType

Returns the inner corner treatment type in Flat as Solid operation

Signature GetInnerCornerTreatmentType()

Returns:outer corner treatment type
Return type:NXOpen.Features.SheetMetal.FeatureProperty

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetInnerCornerTreatmentValue

PartFlexiblePrintedCircuitDesign.GetInnerCornerTreatmentValue

Returns the inner corner treatment value for Flat as Solid operations

Signature GetInnerCornerTreatmentValue()

Returns:expression object for inner corner treatment value
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetIsBsplineSimplifiedInFlatSolid

PartFlexiblePrintedCircuitDesign.GetIsBsplineSimplifiedInFlatSolid

Returns the flag indicating whether B-Splines are simplified as part of the Flat Solid creation

Signature GetIsBsplineSimplifiedInFlatSolid()

Returns:flag
Return type:bool

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetIsSystemGeneratedBendReliefRemovedInFlatSolid

PartFlexiblePrintedCircuitDesign.GetIsSystemGeneratedBendReliefRemovedInFlatSolid

Returns the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation

Signature GetIsSystemGeneratedBendReliefRemovedInFlatSolid()

Returns:flag
Return type:bool

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetMaterial

PartFlexiblePrintedCircuitDesign.GetMaterial

Returns the material name saved with the part

Signature GetMaterial()

Returns:The name of the material saved with the part
Return type:str

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetMaterialNames

PartFlexiblePrintedCircuitDesign.GetMaterialNames

Returns the material names defined in the material standards table

Signature GetMaterialNames()

Returns:
Return type:list of str

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetMaterialProperties

PartFlexiblePrintedCircuitDesign.GetMaterialProperties

Returns the material name saved with the part

Signature GetMaterialProperties(materialName)

Parameters:materialName (str) – material Name
Returns:a tuple
Return type:A tuple consisting of (propertyValues, propertyNames) propertyValues is a list of str. property Values propertyNames is a list of str. properties

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetMinimumArcToleranceInFlatSolid

PartFlexiblePrintedCircuitDesign.GetMinimumArcToleranceInFlatSolid

Returns the minimum arc tolerance during Flat Solid simplification

Signature GetMinimumArcToleranceInFlatSolid()

Returns:flag
Return type:float

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetNeutralFactor

PartFlexiblePrintedCircuitDesign.GetNeutralFactor

Returns the neutral factor

Signature GetNeutralFactor()

Returns:expression object for neutral factor of bend areas
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetOuterCornerTreatmentType

PartFlexiblePrintedCircuitDesign.GetOuterCornerTreatmentType

Returns the outer corner treatment type in Flat as Solid operation

Signature GetOuterCornerTreatmentType()

Returns:outer corner treatment type
Return type:NXOpen.Features.SheetMetal.FeatureProperty

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetOuterCornerTreatmentValue

PartFlexiblePrintedCircuitDesign.GetOuterCornerTreatmentValue

Returns the out corner treatment value for Flat as Solid operations

Signature GetOuterCornerTreatmentValue()

Returns:expression object for out corner treatment value
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

GetPlanarSegmentCurveTypeDisplayData

PartFlexiblePrintedCircuitDesign.GetPlanarSegmentCurveTypeDisplayData

Returns the display data of a given planar segment curve type for the Flexible Printed Circuit Design application.

Signature GetPlanarSegmentCurveTypeDisplayData(curveType)

Parameters:curveType (NXOpen.Preferences.PartFlexiblePrintedCircuitDesignPlanarSegmentCurveType) – The curve type for which to return the display data.
Returns:The display data for the planar segment curve type.
Return type:NXOpen.Preferences.PartFlexiblePrintedCircuitDesignPlanarSegmentCurveTypeDisplayData_Struct

New in version NX12.0.0.

License requirements: None.

GetThickness

PartFlexiblePrintedCircuitDesign.GetThickness

Returns the thickness expression

Signature GetThickness()

Returns:expression object for sheet thickness
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetBendRadius

PartFlexiblePrintedCircuitDesign.SetBendRadius

Sets the bend radius value

Signature SetBendRadius(updateModel, bendRadius)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • bendRadius (str) – default bend radius value for bend faces

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetBendReliefDepth

PartFlexiblePrintedCircuitDesign.SetBendReliefDepth

Sets the bend relief depth value

Signature SetBendReliefDepth(updateModel, bendReliefDepth)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • bendReliefDepth (str) – default depth value for bend relief

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetBendReliefWidth

PartFlexiblePrintedCircuitDesign.SetBendReliefWidth

Sets the bend relief depth value

Signature SetBendReliefWidth(updateModel, bendReliefWidth)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • bendReliefWidth (str) – default width value for bend relief

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetDeviationalToleranceInFlatSolid

PartFlexiblePrintedCircuitDesign.SetDeviationalToleranceInFlatSolid

Sets the deviational tolerance during Flat Solid simplification

Signature SetDeviationalToleranceInFlatSolid(updateModel, deviationalToleranceInFlatSolid)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • deviationalToleranceInFlatSolid (float) – flag

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetFlatPatternCalloutOrientationType

PartFlexiblePrintedCircuitDesign.SetFlatPatternCalloutOrientationType

Sets the orientation type for flat pattern callouts.

Signature SetFlatPatternCalloutOrientationType(orientation)

Parameters:orientation (NXOpen.Preferences.PartFlexiblePrintedCircuitDesignFlatPatternCalloutOrientationType) – The orientation type for the flat pattern callouts.

New in version NX9.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetFlatPatternCalloutTypeContents

PartFlexiblePrintedCircuitDesign.SetFlatPatternCalloutTypeContents

Sets the contents for a callout type.

Signature SetFlatPatternCalloutTypeContents(calloutType, contents)

Parameters:
  • calloutType (str) – The name of the callout type for which to set the content.
  • contents (list of str) – The contents for the callout type.

New in version NX9.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetFlatPatternCalloutTypeDisplay

PartFlexiblePrintedCircuitDesign.SetFlatPatternCalloutTypeDisplay

Sets the display data for a callout type.

Signature SetFlatPatternCalloutTypeDisplay(calloutType, displayData)

Parameters:

New in version NX5.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetFlatPatternObjectTypeDisplay

PartFlexiblePrintedCircuitDesign.SetFlatPatternObjectTypeDisplay

Sets the display data for a flat pattern object type.

Signature SetFlatPatternObjectTypeDisplay(updateModel, objectType, displayData)

Parameters:

New in version NX5.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetFlexibleCableBottomFaceColor

PartFlexiblePrintedCircuitDesign.SetFlexibleCableBottomFaceColor

Sets the bottom face color.

Signature SetFlexibleCableBottomFaceColor(bottomFaceColor)

Parameters:bottomFaceColor (Id) – Bottom face color.

New in version NX7.5.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetFlexibleCableConductorSpacing

PartFlexiblePrintedCircuitDesign.SetFlexibleCableConductorSpacing

Sets the conductor spacing value string.

Signature SetFlexibleCableConductorSpacing(conductorSpacing)

Parameters:conductorSpacing (str) – Default conductor spacing value for the flexible cable.

New in version NX7.5.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetFlexibleCableConductorWidth

PartFlexiblePrintedCircuitDesign.SetFlexibleCableConductorWidth

Sets the conductor width value string.

Signature SetFlexibleCableConductorWidth(conductorWidth)

Parameters:conductorWidth (str) – Default conductor width value for the flexible cable.

New in version NX7.5.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetFlexibleCableContactFace

PartFlexiblePrintedCircuitDesign.SetFlexibleCableContactFace

Sets the contact face.

Signature SetFlexibleCableContactFace(faceOption)

Parameters:faceOption (NXOpen.Preferences.PartFlexiblePrintedCircuitDesignFlexibleCableContactFaceOptions) – Contact face options.

New in version NX7.5.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetFlexibleCableStrippingLength

PartFlexiblePrintedCircuitDesign.SetFlexibleCableStrippingLength

Sets the stripping length value string.

Signature SetFlexibleCableStrippingLength(strippingLength)

Parameters:strippingLength (str) – Default stripping length value for the flexible cable.

New in version NX7.5.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetFlexibleCableTopFaceColor

PartFlexiblePrintedCircuitDesign.SetFlexibleCableTopFaceColor

Sets the top face color.

Signature SetFlexibleCableTopFaceColor(topFaceColor)

Parameters:topFaceColor (Id) – Top face color.

New in version NX7.5.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetHoleTreatmentDiameter

PartFlexiblePrintedCircuitDesign.SetHoleTreatmentDiameter

SETS the hole treatment diameter value in Flat Pattern operation

Signature SetHoleTreatmentDiameter(updateModel, diameter)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • diameter (str) – default value for hole diameter

New in version NX12.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetHoleTreatmentType

PartFlexiblePrintedCircuitDesign.SetHoleTreatmentType

SETS the hole treatment type in Flat Pattern operation

Signature SetHoleTreatmentType(updateModel, holeTreatmentType)

Parameters:

New in version NX12.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetInnerCornerTreatmentType

PartFlexiblePrintedCircuitDesign.SetInnerCornerTreatmentType

Sets the inner corner treatment type in Flat as Solid operation

Signature SetInnerCornerTreatmentType(updateModel, innerCornerTreatmentType)

Parameters:

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetInnerCornerTreatmentValue

PartFlexiblePrintedCircuitDesign.SetInnerCornerTreatmentValue

Sets the the inner corner treatment value for Flat as Solid operations

Signature SetInnerCornerTreatmentValue(updateModel, innerCornerTreatment)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • innerCornerTreatment (str) – default value for inner corner treatment

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetIsBsplineSimplifiedInFlatSolid

PartFlexiblePrintedCircuitDesign.SetIsBsplineSimplifiedInFlatSolid

Sets the flag indicating whether or not B-Splines are simplified as part of the Flat Solid creation

Signature SetIsBsplineSimplifiedInFlatSolid(updateModel, isBsplineSimplifiedInFlatSolid)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • isBsplineSimplifiedInFlatSolid (bool) – flag

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetIsSystemGeneratedBendReliefRemovedInFlatSolid

PartFlexiblePrintedCircuitDesign.SetIsSystemGeneratedBendReliefRemovedInFlatSolid

Sets the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation

Signature SetIsSystemGeneratedBendReliefRemovedInFlatSolid(updateModel, isSystemGeneratedBendReliefRemoved)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • isSystemGeneratedBendReliefRemoved (bool) – flag

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetMaterial

PartFlexiblePrintedCircuitDesign.SetMaterial

Sets the material standard

Signature SetMaterial(updateModel, standardName)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • standardName (str) – The name of a material from the material standards file

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetMinimumArcToleranceInFlatSolid

PartFlexiblePrintedCircuitDesign.SetMinimumArcToleranceInFlatSolid

Sets the minimum arc tolerance during Flat Solid simplification

Signature SetMinimumArcToleranceInFlatSolid(updateModel, minimumArcToleranceInFlatSolid)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • minimumArcToleranceInFlatSolid (float) – flag

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetNeutralFactor

PartFlexiblePrintedCircuitDesign.SetNeutralFactor

Sets the bend relief depth value

Signature SetNeutralFactor(updateModel, neutralFactor)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • neutralFactor (str) – default neutral factor value for bend relief

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetOuterCornerTreatmentType

PartFlexiblePrintedCircuitDesign.SetOuterCornerTreatmentType

Sets the the outer corner treatment type in Flat as Solid operation

Signature SetOuterCornerTreatmentType(updateModel, outerCornerTreatmentType)

Parameters:

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetOuterCornerTreatmentValue

PartFlexiblePrintedCircuitDesign.SetOuterCornerTreatmentValue

Sets the outer corner treatment value for Flat as Solid operations

Signature SetOuterCornerTreatmentValue(updateModel, outerCornerTreatment)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • outerCornerTreatment (str) – default value for out corner treatment

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetPlanarSegmentCurveTypeDisplayData

PartFlexiblePrintedCircuitDesign.SetPlanarSegmentCurveTypeDisplayData

Sets the display data of a given planar segment curve type for the Flexible Printed Circuit Design application.

Signature SetPlanarSegmentCurveTypeDisplayData(updateModel, curveType, displayData)

Parameters:

New in version NX12.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

SetThickness

PartFlexiblePrintedCircuitDesign.SetThickness

Sets the thickness value string

Signature SetThickness(updateModel, thickness)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • thickness (str) – default thickness value for NX Sheetmetal solids

New in version NX4.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)